Bug 244198 - net-mgmt/blackbox_exporter: fix build on aarch64
Summary: net-mgmt/blackbox_exporter: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-17 18:29 UTC by Mikael Urankar
Modified: 2020-03-18 10:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bsam)


Attachments
patch (1.54 KB, patch)
2020-02-17 18:29 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-17 18:29:37 UTC
Created attachment 211726 [details]
patch

update golang.org/x/net to fix build on aarch64
Comment 1 Emmanuel Vadot freebsd_committer 2020-03-04 19:16:26 UTC
Approved-by: manu (mentor)
When maintainer approved or after maintainer timeout.
Comment 2 commit-hook freebsd_committer 2020-03-18 10:36:48 UTC
A commit references this bug:

Author: mikael
Date: Wed Mar 18 10:36:04 UTC 2020
New revision: 528641
URL: https://svnweb.freebsd.org/changeset/ports/528641

Log:
  net-mgmt/blackbox_exporter: unbreak on aarch64

  update golang.org/x/net to fix build on aarch64

  PR:		244198
  Approved by:	bsam (maintainer timeout), manu (mentor)

Changes:
  head/net-mgmt/blackbox_exporter/Makefile
  head/net-mgmt/blackbox_exporter/distinfo